Bug 1027784 - Review Request: gnome-logs - a log viewer for the systemd journal
Review Request: gnome-logs - a log viewer for the systemd journal
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 07:09 EST by David King
Modified: 2013-12-16 04:21 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-16 04:21:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David King 2013-11-07 07:09:55 EST
Spec URL: http://amigadave.com/temp/gnome-logs.spec
SRPM URL: http://amigadave.com/temp/gnome-logs-3.11.1-1.fc20.src.rpm
Description: A log viewer for the systemd journal
Fedora Account System Username: amigadave

$ rpmlint gnome-logs.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 1 David King 2013-11-07 07:12:53 EST
I am not yet in the package collection maintainers group, although I have submitted another package in bug 985446 and a largish update to an existing package in bug 951265.
Comment 2 David King 2013-11-07 07:24:56 EST
I submitted a scratch build to koji, which built successfully:

http://koji.fedoraproject.org/koji/taskinfo?taskID=6149528

I am the upstream maintainer of gnome-logs.
Comment 3 Igor Gnatenko 2013-11-27 13:37:56 EST
You're welcome. I will review this package, but I don't have access to add you to Fedora Packages.
Comment 4 Igor Gnatenko 2013-11-28 04:59:40 EST
Some issues has present. Fix it ;)
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package uses either %{buildroot} or $RPM_BUILD_ROOT
  Note: Using both %{buildroot} and $RPM_BUILD_ROOT
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros
  Line 31: replacee $RPM_BUILD_ROOT to %{buildroot}
- For Changelog please use date in "07" or " 7" format
- You packaged not latest gnome-logs. Please update to 3.11.2
- Update icon cache in triggers
  See: https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
- Use %make_install instead of make install DESTDIR="%{buildroot}"
- More better to move desktop-file-validate to %check section

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or generated". 1 files
     have unknown license. Detailed output of licensecheck in
     /home/brain/rpmbuild/review-gnome-logs/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gnome-logs-3.11.1-1.fc20.x86_64.rpm
          gnome-logs-3.11.1-1.fc20.src.rpm
gnome-logs.x86_64: W: spelling-error Summary(en_US) systemd -> systems, system, system d
gnome-logs.x86_64: W: spelling-error %description -l en_US systemd -> systems, system, system d
gnome-logs.x86_64: W: no-manual-page-for-binary gnome-logs
gnome-logs.src: W: spelling-error Summary(en_US) systemd -> systems, system, system d
gnome-logs.src: W: spelling-error %description -l en_US systemd -> systems, system, system d
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint gnome-logs
gnome-logs.x86_64: W: spelling-error Summary(en_US) systemd -> systems, system, system d
gnome-logs.x86_64: W: spelling-error %description -l en_US systemd -> systems, system, system d
gnome-logs.x86_64: W: no-manual-page-for-binary gnome-logs
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
gnome-logs (rpmlib, GLIBC filtered):
    gsettings-desktop-schemas
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    libsystemd-id128.so.0()(64bit)
    libsystemd-journal.so.0()(64bit)
    libsystemd-journal.so.0(LIBSYSTEMD_JOURNAL_195)(64bit)
    libsystemd-journal.so.0(LIBSYSTEMD_JOURNAL_196)(64bit)
    libsystemd-journal.so.0(LIBSYSTEMD_JOURNAL_198)(64bit)
    libsystemd-journal.so.0(LIBSYSTEMD_JOURNAL_201)(64bit)
    libsystemd-journal.so.0(LIBSYSTEMD_JOURNAL_38)(64bit)
    rtld(GNU_HASH)



Provides
--------
gnome-logs:
    gnome-logs
    gnome-logs(x86-64)



Source checksums
----------------
http://download.gnome.org/sources/gnome-logs/3.11/gnome-logs-3.11.1.tar.xz :
  CHECKSUM(SHA256) this package     : bfa1ffb0611ed135f4b9639ce907e5cf2831aed65a8998ac13cabf7015f758fe
  CHECKSUM(SHA256) upstream package : bfa1ffb0611ed135f4b9639ce907e5cf2831aed65a8998ac13cabf7015f758fe


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -n gnome-logs
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 5 Ankur Sinha (FranciscoD) 2013-11-28 06:15:45 EST
(In reply to Igor Gnatenko from comment #3)
> You're welcome. I will review this package, but I don't have access to add
> you to Fedora Packages.

Hi Igor,

You shouldn't take up the review if you're not a sponsor. You should just do an unofficial review but not assign it to yourself. (It won't show up in the list of review tickets that sponsors look at now that you've taken it up and set the fedora-review flag.) Please unset the fedora-review flag and the other fields so a sponsor can set them when he looks at the ticket. :)

Thanks,
Warm regards,
Ankur
Comment 6 David King 2013-11-28 06:38:10 EST
(In reply to Igor Gnatenko from comment #4)
> Some issues has present. Fix it ;)

Thanks for the review.

> Issues:
> =======
> - Package uses either %{buildroot} or $RPM_BUILD_ROOT
>   Note: Using both %{buildroot} and $RPM_BUILD_ROOT
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros

Fixed. The link is now https://fedoraproject.org/wiki/Packaging:Guidelines#Macros

>   Line 31: replacee $RPM_BUILD_ROOT to %{buildroot}
> - For Changelog please use date in "07" or " 7" format
> - You packaged not latest gnome-logs. Please update to 3.11.2
> - Use %make_install instead of make install DESTDIR="%{buildroot}"
> - More better to move desktop-file-validate to %check section

Fixed.

> - Update icon cache in triggers
>   See: https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

Is this necessary? No icon is installed, although 3.11.3 will have an icon.

> gnome-logs.x86_64: W: spelling-error Summary(en_US) systemd -> systems,
> system, system d
> gnome-logs.x86_64: W: spelling-error %description -l en_US systemd ->
> systems, system, system d
> gnome-logs.x86_64: W: no-manual-page-for-binary gnome-logs
> gnome-logs.src: W: spelling-error Summary(en_US) systemd -> systems, system,
> system d
> gnome-logs.src: W: spelling-error %description -l en_US systemd -> systems,
> system, system d
> 2 packages and 0 specfiles checked; 0 errors, 5 warnings.

These are not spelling errors. I have filed an upstream bug about a man page: https://bugzilla.gnome.org/show_bug.cgi?id=719485
Comment 7 David King 2013-11-28 06:38:59 EST
Updated spec URL: http://amigadave.com/temp/gnome-logs.spec
Updated SRPM URL: http://amigadave.com/temp/gnome-logs-3.11.2-1.fc20.src.rpm
Comment 8 David King 2013-11-28 06:44:37 EST
Additionally, I did another scratch build n Koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6236357
Comment 9 Igor Gnatenko 2013-11-28 07:00:48 EST
(In reply to Ankur Sinha (FranciscoD) from comment #5)
> (In reply to Igor Gnatenko from comment #3)
> > You're welcome. I will review this package, but I don't have access to add
> > you to Fedora Packages.
> 
> Hi Igor,
> 
> You shouldn't take up the review if you're not a sponsor. You should just do
> an unofficial review but not assign it to yourself. (It won't show up in the
> list of review tickets that sponsors look at now that you've taken it up and
> set the fedora-review flag.) Please unset the fedora-review flag and the
> other fields so a sponsor can set them when he looks at the ticket. :)
> 
> Thanks,
> Warm regards,
> Ankur

;)

David, you should read how-to get sponsor[0] and complete Join[1]

[0] https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group
[1] https://fedoraproject.org/wiki/Join_the_package_collection_maintainers

From me: Install icons and update icon cache, because package w/o/ icons is no-useful. You can:
* Download upstream icons, archive they (by git)
* Add as Source1:
* tar xv %{SOURCE1} in spec
* Install icons to hicolor theme (by .spec) %install section (man install)
* Update cache (by .spec)
* Fix .desktop.in file for using Icon files (by .spec) in %install section (after all) (man desktop-file-edit)

P.S. I'm recommend Jon Ciesla (limb) as sponsor ;)
Comment 10 Gwyn Ciesla 2013-12-12 12:21:49 EST
Posted spec and SRPM spec differ:
[limb@tycho ~]$ diff gnome-logs.spec ~/rpmbuild/SPECS/
2c2
< Version:	3.11.1
---
> Version:	3.11.2
9a10,11
> # Fixed with appdata-tools > 0.1.6
> Patch0:		gnome-logs-fix-appdata-xml-m4.patch
10a13
> BuildRequires:	appdata-tools
21a25
> %patch0 -p1
30,31c34
< make install DESTDIR=%{buildroot}
< desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/gnome-logs.desktop
---
> %make_install
34a38,41
> %check
> desktop-file-validate %{buildroot}/%{_datadir}/applications/gnome-logs.desktop
> 
> 
37a45
> %{_datadir}/appdata/gnome-logs.appdata.xml
42c50
< * Thu Nov 7 2013 David King <amigadave@amigadave.com> - 3.11.1-1
---
> * Thu Nov 28 2013 David King <amigadave@amigadave.com> - 3.11.2-1


Please post consistent versions for clarity.
Comment 11 David King 2013-12-12 12:37:44 EST
(In reply to Jon Ciesla from comment #10)
> Posted spec and SRPM spec differ:
>
> Please post consistent versions for clarity.

Sorry about that, I have updated the spec now.
Comment 12 Gwyn Ciesla 2013-12-12 13:16:13 EST
- rpmlint checks return:

gnome-logs.x86_64: W: spelling-error Summary(en_US) systemd -> systems, system, system d
The value of this tag appears to be misspelled. Please double-check.

gnome-logs.x86_64: W: spelling-error %description -l en_US systemd -> systems, system, system d
The value of this tag appears to be misspelled. Please double-check.

Ignore these.

gnome-logs.x86_64: W: no-manual-page-for-binary gnome-logs
Each executable in standard binary directories should have a man page.

Nice to have, but. . .

- package meets naming guidelines
- package meets packaging guidelines
- license ( GPLv3+ ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
! no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 


BR problem, output of mock build:

CDPATH="${ZSH_VERSION+.}:" && cd . && /bin/sh /builddir/build/BUILD/gnome-logs-3.11.2/build-aux/missing autoconf
 cd . && /bin/sh /builddir/build/BUILD/gnome-logs-3.11.2/build-aux/missing automake-1.13 --gnu
/builddir/build/BUILD/gnome-logs-3.11.2/build-aux/missing: line 81: automake-1.13: command not found
WARNING: 'automake-1.13' is missing on your system.      
         You should only need it if you modified 'Makefile.am' or
         'configure.ac' or m4 files included by 'configure.ac'.
         The 'automake' program is part of the GNU Automake package:
         <http://www.gnu.org/software/automake>
         It also requires GNU Autoconf, GNU m4 and Perl in order to run:
         <http://www.gnu.org/software/autoconf>
         <http://www.gnu.org/software/m4/>
         <http://www.perl.org/>
make: *** [Makefile.in] Error 1
make: *** Waiting for unfinished jobs....
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.MMUs5T (%build)  
    Bad exit status from /var/tmp/rpm-tmp.MMUs5T (%build)
Child return code was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i686 --nodeps  builddir/build/SPECS/gnome-logs.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/mockbuild/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.7/site-packages/mockbuild/util.py", line 376, in do
    raise mockbuild.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i686 --nodeps  builddir/build/SPECS/gnome-logs.spec']
LEAVE do --> EXCEPTION RAISED

Otherwise it looks OK.
Comment 13 Gwyn Ciesla 2013-12-12 13:40:20 EST
Also, you should BuildRequires: systemd, not -devel.
Comment 14 Gwyn Ciesla 2013-12-12 13:41:10 EST
Ignore previous comment.
Comment 15 David King 2013-12-12 14:36:31 EST
Thanks for the review, Jon!

I was building for F20, and so didn't notice the problem when building for Rawhide. I avoided the BuildRequires by refreshing the patch and passing "--disable-maintainer-mode" to configure.

Updated spec URL: http://amigadave.com/temp/gnome-logs.spec
Updated SRPM URL: http://amigadave.com/temp/gnome-logs-3.11.2-1.fc20.src.rpm

I also did a successful scratch build for Rawhide in Koji:

http://koji.fedoraproject.org/koji/taskinfo?taskID=6285496

I added a man page upstream, which (together with an icon) will be in the next release.
Comment 16 Gwyn Ciesla 2013-12-12 15:20:01 EST
Ok, that looks better.  Can you point me to one more practice review?  The one for python-musicbrainzngs was OK, maybe something that might be more complex?  Though that's hard to assess before you start, bundled libs, odd licensing, etc.  Lots of surprises.  One more, and if I like what I see I'll sponsor you and approve this.
Comment 17 David King 2013-12-12 15:27:08 EST
Thanks! Right, I will find another package to review. Removing the NEEDSPONSOR blocker, as I have already been sponsored into the packager group.
Comment 18 Gwyn Ciesla 2013-12-12 15:33:51 EST
Approved.  No need for more practice reviews for me if you're already sponsored, but it's a good thing to do anyway, just to become more familiar with the Guidelines.
Comment 19 David King 2013-12-12 15:55:06 EST
New Package SCM Request
=======================
Package Name: gnome-logs
Short Description: a log viewer for the systemd journal
Owners: amigadave
Branches:
InitialCC:
Comment 20 Gwyn Ciesla 2013-12-12 15:57:46 EST
Git done (by process-git-requests).
Comment 21 David King 2013-12-16 04:21:43 EST
Thanks for the reviews and help. I just installed gnome-logs in Rawhide and it works great.

Note You need to log in before you can comment on or make changes to this bug.